Last modified: 2014-09-11 19:19:55 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 41371 - Thumbnail/imagescaler (tracking)
Thumbnail/imagescaler (tracking)
Status: NEW
Product: Wikimedia
Classification: Unclassified
Media storage (Other open bugs)
wmf-deployment
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: tracking
Depends on: 3537 svg 16416 22195 23831 36166 37539 41374 41376 41380 41385 41403 43268 43454 44310 45212 48007 48041 48178 48700 49118 49528 49693 54744 55431 59975 61711 65217 65383 65475 66109 67695 67698 68145 69155 69336 70734 3574 9497 13493 17645 18127 18310 20312 23326 24854 25903 28310 28810 31680 39615 41113 41130 41174 41361 41362 41372 41373 41375 41381 41382 41386 41388 41447 41528 41665 42047 42302 42342 42963 43345 43357 43364 44071 44319 44508 44872 46243 46350 46976 47409 47825 48003 48927 52050 52203 52740 54045 54188 64622 64801 67703 69377 70189
Blocks: tracking commons
  Show dependency treegraph
 
Reported: 2012-10-25 07:21 UTC by Sumana Harihareswara
Modified: 2014-09-11 19:19 UTC (History)
17 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sumana Harihareswara 2012-10-25 07:21:53 UTC
We seem to be experiencing a bunch of potentially related problems with the imagescaler and thumbnail functionality right now -- see https://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=81621669#More_image_scaler_problems .  I'm marking bugs as blocking this one if they have to do with thumbnail generation.
Comment 1 Sumana Harihareswara 2012-10-25 07:28:58 UTC
I think the most urgent bugs here are:

Bug 39615 - 404 error for some files
Bug 41174 - Many SVG files have stopped rendering
Bug 41130 - ?action=purge on the file description page no longer regenerates thumbnails
Comment 2 Sumana Harihareswara 2012-10-25 16:13:46 UTC
Brion, I was wondering whether you think your https://gerrit.wikimedia.org/r/#q,24115,n,z changeset for high-res image support might have had any effect regarding the most recent thumbnailing issues?
Comment 3 Sumana Harihareswara 2012-10-25 16:32:59 UTC
Adding interested people.
Comment 4 Brion Vibber 2012-10-25 17:40:00 UTC
(In reply to comment #2)
> Brion, I was wondering whether you think your
> https://gerrit.wikimedia.org/r/#q,24115,n,z changeset for high-res image
> support might have had any effect regarding the most recent thumbnailing
> issues?

Actual thumbnail generation code paths are untouched here, so it shouldn't be doing anything too surprising...

It should be causing some additional thumbnail generation to happen (as folks with Retina iPads and MacBooks browse), but should be relatively lightweight as we're using the delayed rendering options in production -- the files shouldn't get generated until they're actually loaded via the 404 handler, and only a small amount of our traffic should be hitting them so far.
Comment 5 Tim Starling 2012-10-26 00:15:28 UTC
Note that the Commons village pump post was from a guy who used a bot to scan for images that don't render. He didn't say that something had recently changed. I reviewed the images yesterday, and could only find one bug that was introduced recently (oggThumb version error), and that's fixed now. I fixed another issue (TIFF metadata too large), but that had probably been there since PagedTiffHandler was introduced.
Comment 6 Nemo 2012-10-26 06:57:49 UTC
(In reply to comment #5)
> Note that the Commons village pump post was from a guy who used a bot to scan
> for images that don't render. He didn't say that something had recently
> changed. 

Sure. Some things did change but it's not trivial to identify them and they don't even necessarily have to change back (e.g. bug 41375, bug 41381, bug 41382 about new restictions).

> I reviewed the images yesterday, and could only find one bug that was
> introduced recently (oggThumb version error), and that's fixed now. 

You mean "OggHandler requires oggThumb version 0.9 or later" I guess, but bug 41376 still makes those files broken (and there are hundreds of them).

> I fixed
> another issue (TIFF metadata too large), but that had probably been there since
> PagedTiffHandler was introduced.

Most likely.
Comment 7 Yann Forget 2012-11-14 16:43:13 UTC
Thumbs are broken for local files on WikiVoyage http://fr.wikivoyage.org/wiki/Fichier:Map_of_Agra_Fort.jpg
http://en.wikivoyage.org/wiki/File:Map_of_Agra_Fort.jpg
Comment 8 Erik Moeller 2012-11-27 02:46:19 UTC
(In reply to comment #7)
> Thumbs are broken for local files on WikiVoyage
> http://fr.wikivoyage.org/wiki/Fichier:Map_of_Agra_Fort.jpg
> http://en.wikivoyage.org/wiki/File:Map_of_Agra_Fort.jpg

Should be fixed for all WV wikis as of a few days ago.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links